Package org.opensaml.soap.client.messaging

# Class SOAPClientDestinationURILookup

java.lang.Object
org.opensaml.soap.client.messaging.SOAPClientDestinationURILookup

All Implemented Interfaces:
  `Function<MessageContext,String>`

public class SOAPClientDestinationURILookup extends Object implements Function<MessageContext,String>
Function which resolves and returns the intended SOAP client message destination URI via the `SOAPClientContext.getDestinationURI()` of the message context's parent `InOutOperationContext`.

## Constructor Summary

Constructors
Constructor
Description
`SOAPClientDestinationURILookup()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(MessageContext messageContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SOAPClientDestinationURILookup

public SOAPClientDestinationURILookup()

## Method Details

### apply

@Nullable public String apply(@Nullable MessageContext messageContext)

Specified by:
  `apply` in interface `Function<MessageContext,String>`